package w83b.w83bBeans;

import java.sql.ResultSet;


import w83b.util.jdbc.W83bDataBase;
import w83b.w83bDAO.w83bConstantesBD.W83bActasBD;

/**
 * 
 * 
 * @author jroncal
 * 
 */
public class W83bActasIncidenciaBean extends W83bBaseBean implements W83bBaseBeanBD{
	private static final long	serialVersionUID	= 1L;


	String versionActa = "";
	String numActa = "";
	String anyoActa = "";
	String codTerritActa = "";
	String numPreaviso = "";
	String anyoPreaviso = "";
	String codConvenio = "";
	String codCentro = "";
	String codMotivosBaja = "";
	String fechaEntrada = "";
	String fechaEleccion = "";
	String totalTrabajadores = "";
	String totalElectores = "";
	String nCandidatosHombre = "";
	String nCandidatosMujer = "";
	String anyoTotalActa = "";
	String numTotalActa = "";
	String numRegistro = "";
	String fechaRegistro = "";
	String anyoRegDefinitivo = "";
	String numRegDefinitivo = "";
	String fecRegDefinitivo = "";
	String fechaComision = "";
	String fechaRequerimiento = "";
	String fechaSubsanacionReq = "";
	String fechaRetiradaComision = "";
	String fechaPresentacionRegRegInterno = "";
	String fechaBaja = "";
	String nTrabHombre = "";
	String nTrabMujer = "";
	String nElectoresMujer = "";
	String nElectoresHombre = "";
	String marcaComision = "";
	String observaciones = "";
	String usuarioActualizacion = "";
	String inspeccionada = "";
	String F_CONSTCOM_016 = "";
	String validada = "";
	String nueva = "";
	String maxDel = "";
	String fechaActualizacion = "";
	
	
	

	public String getNueva() {
		return nueva;
	}

	public void setNueva(String nueva) {
		this.nueva = nueva;
	}

	public String getMaxDel() {
		return maxDel;
	}

	public void setMaxDel(String maxDel) {
		this.maxDel = maxDel;
	}

	public String getVersionActa() {
		return versionActa;
	}

	public void setVersionActa(String versionActa) {
		this.versionActa = versionActa;
	}

	public String getNumActa() {
		return numActa;
	}

	public void setNumActa(String numActa) {
		this.numActa = numActa;
	}

	public String getAnyoActa() {
		return anyoActa;
	}

	public void setAnyoActa(String anyoActa) {
		this.anyoActa = anyoActa;
	}

	public String getCodTerritActa() {
		return codTerritActa;
	}

	public void setCodTerritActa(String codTerritActa) {
		this.codTerritActa = codTerritActa;
	}

	public String getNumPreaviso() {
		return numPreaviso;
	}

	public void setNumPreaviso(String numPreaviso) {
		this.numPreaviso = numPreaviso;
	}

	public String getAnyoPreaviso() {
		return anyoPreaviso;
	}

	public void setAnyoPreaviso(String anyoPreaviso) {
		this.anyoPreaviso = anyoPreaviso;
	}

	public String getCodConvenio() {
		return codConvenio;
	}

	public void setCodConvenio(String codConvenio) {
		this.codConvenio = codConvenio;
	}

	public String getCodCentro() {
		return codCentro;
	}

	public void setCodCentro(String codCentro) {
		this.codCentro = codCentro;
	}

	public String getCodMotivosBaja() {
		return codMotivosBaja;
	}

	public void setCodMotivosBaja(String codMotivosBaja) {
		this.codMotivosBaja = codMotivosBaja;
	}

	public String getFechaEntrada() {
		return fechaEntrada;
	}

	public void setFechaEntrada(String fechaEntrada) {
		this.fechaEntrada = fechaEntrada;
	}

	public String getFechaEleccion() {
		return fechaEleccion;
	}

	public void setFechaEleccion(String fechaEleccion) {
		this.fechaEleccion = fechaEleccion;
	}

	public String getTotalTrabajadores() {
		return totalTrabajadores;
	}

	public void setTotalTrabajadores(String totalTrabajadores) {
		this.totalTrabajadores = totalTrabajadores;
	}

	public String getTotalElectores() {
		return totalElectores;
	}

	public void setTotalElectores(String totalElectores) {
		this.totalElectores = totalElectores;
	}

	public String getNCandidatosHombre() {
		return nCandidatosHombre;
	}

	public void setNCandidatosHombre(String candidatosHombre) {
		nCandidatosHombre = candidatosHombre;
	}

	public String getNCandidatosMujer() {
		return nCandidatosMujer;
	}

	public void setNCandidatosMujer(String candidatosMujer) {
		nCandidatosMujer = candidatosMujer;
	}

	public String getAnyoTotalActa() {
		return anyoTotalActa;
	}

	public void setAnyoTotalActa(String anyoTotalActa) {
		this.anyoTotalActa = anyoTotalActa;
	}

	public String getNumTotalActa() {
		return numTotalActa;
	}

	public void setNumTotalActa(String numTotalActa) {
		this.numTotalActa = numTotalActa;
	}

	public String getNumRegistro() {
		return numRegistro;
	}

	public void setNumRegistro(String numRegistro) {
		this.numRegistro = numRegistro;
	}

	public String getFechaRegistro() {
		return fechaRegistro;
	}

	public void setFechaRegistro(String fechaRegistro) {
		this.fechaRegistro = fechaRegistro;
	}

	public String getAnyoRegDefinitivo() {
		return anyoRegDefinitivo;
	}

	public void setAnyoRegDefinitivo(String anyoRegDefinitivo) {
		this.anyoRegDefinitivo = anyoRegDefinitivo;
	}

	public String getNumRegDefinitivo() {
		return numRegDefinitivo;
	}

	public void setNumRegDefinitivo(String numRegDefinitivo) {
		this.numRegDefinitivo = numRegDefinitivo;
	}

	public String getFecRegDefinitivo() {
		return fecRegDefinitivo;
	}

	public void setFecRegDefinitivo(String fecRegDefinitivo) {
		this.fecRegDefinitivo = fecRegDefinitivo;
	}

	public String getFechaComision() {
		return fechaComision;
	}

	public void setFechaComision(String fechaComision) {
		this.fechaComision = fechaComision;
	}

	public String getFechaRequerimiento() {
		return fechaRequerimiento;
	}

	public void setFechaRequerimiento(String fechaRequerimiento) {
		this.fechaRequerimiento = fechaRequerimiento;
	}

	public String getFechaSubsanacionReq() {
		return fechaSubsanacionReq;
	}

	public void setFechaSubsanacionReq(String fechaSubsanacionReq) {
		this.fechaSubsanacionReq = fechaSubsanacionReq;
	}

	public String getFechaRetiradaComision() {
		return fechaRetiradaComision;
	}

	public void setFechaRetiradaComision(String fechaRetiradaComision) {
		this.fechaRetiradaComision = fechaRetiradaComision;
	}

	public String getFechaPresentacionRegRegInterno() {
		return fechaPresentacionRegRegInterno;
	}

	public void setFechaPresentacionRegRegInterno(
			String fechaPresentacionRegRegInterno) {
		this.fechaPresentacionRegRegInterno = fechaPresentacionRegRegInterno;
	}

	public String getFechaBaja() {
		return fechaBaja;
	}

	public void setFechaBaja(String fechaBaja) {
		this.fechaBaja = fechaBaja;
	}

	public String getNTrabHombre() {
		return nTrabHombre;
	}

	public void setNTrabHombre(String trabHombre) {
		nTrabHombre = trabHombre;
	}

	public String getNTrabMujer() {
		return nTrabMujer;
	}

	public void setNTrabMujer(String trabMujer) {
		nTrabMujer = trabMujer;
	}

	public String getNElectoresMujer() {
		return nElectoresMujer;
	}

	public void setNElectoresMujer(String electoresMujer) {
		nElectoresMujer = electoresMujer;
	}

	public String getNElectoresHombre() {
		return nElectoresHombre;
	}

	public void setNElectoresHombre(String electoresHombre) {
		nElectoresHombre = electoresHombre;
	}

	public String getMarcaComision() {
		return marcaComision;
	}

	public void setMarcaComision(String marcaComision) {
		this.marcaComision = marcaComision;
	}

	public String getObservaciones() {
		return observaciones;
	}

	public void setObservaciones(String observaciones) {
		this.observaciones = observaciones;
	}

	public String getUsuarioActualizacion() {
		return usuarioActualizacion;
	}

	public void setUsuarioActualizacion(String usuarioActualizacion) {
		this.usuarioActualizacion = usuarioActualizacion;
	}

	public String getInspeccionada() {
		return inspeccionada;
	}

	public void setInspeccionada(String inspeccionada) {
		this.inspeccionada = inspeccionada;
	}

	public String getF_CONSTCOM_016() {
		return F_CONSTCOM_016;
	}

	public void setF_CONSTCOM_016(String f_constcom_016) {
		F_CONSTCOM_016 = f_constcom_016;
	}

	public String getValidada() {
		return validada;
	}

	public void setValidada(String validada) {
		this.validada = validada;
	}	

	public String getFechaActualizacion() {
		return fechaActualizacion;
	}

	public void setFechaActualizacion(String fechaActualizacion) {
		this.fechaActualizacion = fechaActualizacion;
	}

	/**
	 * 
	 * El constructor de W83bAgrupacionesBean.
	 */
	public W83bActasIncidenciaBean() {
		super();
	}

	public Object rowToBean(Object o, Object otrosValores) throws Exception {
		// TODO Auto-generated method stub
		ResultSet rs = (ResultSet)o;//NOPMD

			this.versionActa = W83bDataBase.getStringFromRS(rs, W83bActasBD.versionActa);
			this.numActa = W83bDataBase.getStringFromRS(rs, W83bActasBD.numActa);
			this.anyoActa = W83bDataBase.getStringFromRS(rs, W83bActasBD.anyoActa);
			this.codTerritActa = W83bDataBase.getStringFromRS(rs, W83bActasBD.codTerritActa);
			this.numPreaviso = W83bDataBase.getStringFromRS(rs, W83bActasBD.numPreaviso);
			this.anyoPreaviso = W83bDataBase.getStringFromRS(rs, W83bActasBD.anyoPreaviso);
			this.codConvenio = W83bDataBase.getStringFromRS(rs, W83bActasBD.codConvenio);
			this.codCentro = W83bDataBase.getStringFromRS(rs, W83bActasBD.codCentro);
			this.codMotivosBaja = W83bDataBase.getStringFromRS(rs, W83bActasBD.codMotivosBaja);
			this.fechaEntrada = W83bDataBase.getStringFromRS(rs, W83bActasBD.fechaEntrada);
			this.fechaEleccion = W83bDataBase.getStringFromRS(rs, W83bActasBD.fechaEleccion);
			this.totalTrabajadores = W83bDataBase.getStringFromRS(rs, W83bActasBD.totaldel);
			this.totalElectores = W83bDataBase.getStringFromRS(rs, W83bActasBD.totalElectores);
			this.nCandidatosHombre = W83bDataBase.getStringFromRS(rs, W83bActasBD.nCandidatosHombre);
			this.nCandidatosMujer = W83bDataBase.getStringFromRS(rs, W83bActasBD.nCandidatosMujer);
			this.anyoTotalActa = W83bDataBase.getStringFromRS(rs, W83bActasBD.anyoTotalActa);
			this.numTotalActa = W83bDataBase.getStringFromRS(rs, W83bActasBD.numTotalActa);
			this.numRegistro = W83bDataBase.getStringFromRS(rs, W83bActasBD.numRegistro);
			this.fechaRegistro = W83bDataBase.getStringFromRS(rs, W83bActasBD.fechaRegistro);
			this.anyoRegDefinitivo = W83bDataBase.getStringFromRS(rs, W83bActasBD.anyoRegDefinitivo);
			this.numRegDefinitivo = W83bDataBase.getStringFromRS(rs, W83bActasBD.numRegDefinitivo);
			this.fecRegDefinitivo = W83bDataBase.getStringFromRS(rs, W83bActasBD.fecRegDefinitivo);
			this.fechaComision = W83bDataBase.getStringFromRS(rs, W83bActasBD.fechaComision);
			this.fechaRequerimiento = W83bDataBase.getStringFromRS(rs, W83bActasBD.fechaRequerimiento);
			this.fechaSubsanacionReq = W83bDataBase.getStringFromRS(rs, W83bActasBD.fechaSubsanacionReq);
			this.fechaRetiradaComision = W83bDataBase.getStringFromRS(rs, W83bActasBD.fechaRetiradaComision);
			this.fechaPresentacionRegRegInterno = W83bDataBase.getStringFromRS(rs, W83bActasBD.fechaPresentacionRegRegInterno);
			this.fechaBaja = W83bDataBase.getStringFromRS(rs, W83bActasBD.fechaBaja);
			this.nTrabHombre = W83bDataBase.getStringFromRS(rs, W83bActasBD.delHombres);
			this.nTrabMujer = W83bDataBase.getStringFromRS(rs, W83bActasBD.delMujeres);
			this.nElectoresMujer = W83bDataBase.getStringFromRS(rs, W83bActasBD.nElectoresMujer);
			this.nElectoresHombre = W83bDataBase.getStringFromRS(rs, W83bActasBD.nElectoresHombre);
			this.nElectoresMujer = W83bDataBase.getStringFromRS(rs, W83bActasBD.nElectoresMujer);
			this.marcaComision = W83bDataBase.getStringFromRS(rs, W83bActasBD.marcaComision);
			this.observaciones = W83bDataBase.getStringFromRS(rs, W83bActasBD.observaciones);
			this.usuarioActualizacion = W83bDataBase.getStringFromRS(rs, W83bActasBD.usuarioActualizacion);
			this.fechaActualizacion = W83bDataBase.getStringFromRS(rs, W83bActasBD.fechaActualizacion);
			this.inspeccionada = W83bDataBase.getStringFromRS(rs, W83bActasBD.inspeccionada);
			this.F_CONSTCOM_016 = W83bDataBase.getStringFromRS(rs, W83bActasBD.F_CONSTCOM_016);
			this.validada = W83bDataBase.getStringFromRS(rs, W83bActasBD.validada);
			this.maxDel = W83bDataBase.getStringFromRS(rs, W83bActasBD.maxDel);
			this.nueva = W83bDataBase.getStringFromRS(rs, W83bActasBD.nueva);


		return this;
	}

}
